---
title: DOM Property Viewer
slug: Tools/DOM_Property_Viewer
tags:
  - DOM
  - Tools
  - Web Development
---
<div>{{ToolsSidebar}}</div>

<div class="blockIndicator geckoVersionNote">The DOM Property Viewer is new in Firefox 48. It is disabled by default. Enable it in the <a href="/en-US/docs/Tools_Toolbox#Settings">Developer Tools Settings</a>.</div>

<p>The DOM Property Viewer lets you inspect the properties of the {{Glossary("DOM")}} as an expandable tree structure, starting from the {{domxref("window")}} object of the current page or the <a href="/en-US/docs/tools/Working_with_iframes">selected iframe</a>.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13098/DOM%20Inspector.png" style="display: block; height: 315px; margin-left: auto; margin-right: auto; width: 843px;"></p>

<h2 id="Enabling_the_DOM_Property_Viewer">Enabling the DOM Property Viewer</h2>

<p>The DOM Property Viewer is not enabled by default. To enable it, open the <a href="/en-US/docs/Tools/Tools_Toolbox#Settings">developer tool settings</a> and check the "DOM" box under "Default Firefox Developer Tools".</p>

<h2 id="Opening_the_DOM_Property_Viewer">Opening the DOM Property Viewer</h2>

<p>Once enabled, you can open the DOM Property Viewer by selecting "DOM" from the Web Developer submenu in the Firefox Menu Panel (or Tools menu if you display the menu bar or are on macOS), or by pressing its <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>W</kbd> keyboard shortcut.</p>

<p>The <a href="/en-US/docs/Tools/DevTools_Window">Toolbox</a> will appear at the bottom of the browser window, with the DOM Property Viewer activated. It's just called "DOM" in the Toolbox.</p>

<h2 id="DOM_Property_Viewer_user_interface">DOM Property Viewer user interface</h2>

<h3 id="DOM_tree">DOM tree</h3>

<p>The different properties of the DOM are displayed as an expandable tree. The left-hand side shows the property's name, and the right-hand side shows its value. Up to three properties of an object and items of an array are displayed. If a property has more elements than this, you'll see a "more..." annotation, and will need to click the property to see all elements. A lock icon indicates that a property is not writable.</p>

<h3 id="Refreshing_the_display">Refreshing the display</h3>

<p>If the DOM changes you can hit the <em>Refresh</em> button to update the display:</p>

<p><img alt="Button to update the DOM Inspector display" src="https://mdn.mozillademos.org/files/13102/DOM%20Inspector%20Refresh%20button.png" style="display: block; height: 315px; margin-left: auto; margin-right: auto; width: 852px;"></p>

<h3 id="Filtering">Filtering</h3>

<p>There is a search box within the toolbar:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13100/DOM%20Inspector%20search%20box.png" style="display: block; height: 315px; margin-left: auto; margin-right: auto; width: 851px;"></p>

<p>This filters the list to show only items which match the search term. Items match the search term if their name contains the search term. Matching is case-sensitive.</p>
